Name: connman-gnome
Summary: GNOME GUI for the Connection Manager
Group: System Environment/Networking
Version: 0.5
License: GPLv2
URL: http://www.moblin.org/connman
Release: b1
Source0: http://www.kernel.org/pub/linux/network/connman/connman-gnome-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: i586

BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: intltool

Requires: connman
Requires(post): /bin/touch

%description
Description: %{summary}

%prep
%setup -q -n connman-gnome-%{version}
patch -p1 -b < berry/connman-gnome-0.1-applet.patch
patch -p1 -b < berry/wimax-prefs.patch
patch -p1 -b < berry/wimax-prefs-autotools.patch

%build
%configure --disable-static CFLAGS=-Os
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
strip %{buildroot}/usr/bin/connman-applet
strip %{buildroot}/usr/bin/connman-properties

%find_lang connman-gnome || echo -n >> connman-gnome.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%files -f connman-gnome.lang
%defattr(-,root,root,-)
%config(noreplace) /etc/xdg/autostart/connman-applet.desktop
/usr/bin/connman-applet
/usr/bin/connman-properties
/usr/share/applications/connman-properties.desktop
/usr/share/icons/hicolor/
#%doc COPYING


%changelog
* Thu May 13 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
